Bug 828329 - Allow to run an discovery scan upon successful operation completion
Allow to run an discovery scan upon successful operation completion
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
: 844219 (view as bug list)
Depends On:
Blocks: as7-plugin 848113
  Show dependency treegraph
 
Reported: 2012-06-04 11:31 EDT by Heiko W. Rupp
Modified: 2013-09-01 05:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848113 (view as bug list)
Environment:
Last Closed: 2013-09-01 05:59:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-06-04 11:31:31 EDT
When e.g. a user deploys a file to a as7-domain deployment and then uses the 
operation "deploy to server group", the resulting deployment on server group 
level will only be visible after the next discovery scan, which can be hours 
away.

We should offer to trigger a discovery scan on successful completion of an 
operation, like we do after create child resources.
This could be triggered by an attribute on the <operation> element, which is 
only read by the agent plugin container.
Comment 1 Stefan Negrea 2012-06-26 15:49:13 EDT
Here is another use case where this problem is more obvious:
1) Install EAP6 Standalone (NO manual configuration to setup RHQ user)
2) Discover and inventory the EAP6 server
3) Run "Install RHQ user" operation on the EAP6 server
4) Check server availability and browser sub-resources


Expected Result:
Server becomes available, and all the sub-services are discovered immediately.

Actual Result:
The server becomes available however, no sub-resources are discovered immediately. All sub-resources will be discovered when the next discovery process runs.


This can give the wrong impression that the EAP6 server is not inventoried correctly since the next discovery process could run 24 hours after the server is configured to work with RHQ.
Comment 2 Charles Crouch 2012-07-30 12:47:14 EDT
*** Bug 844219 has been marked as a duplicate of this bug. ***
Comment 3 Charles Crouch 2012-07-30 12:48:48 EDT
Stefan, can you comment on where your investigation went with this.
Comment 4 John Sanda 2012-08-02 14:52:11 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 5 John Sanda 2012-08-02 21:14:48 EDT
Moving back to ON_DEV. This was incorrectly moved to ON_QA in comment 4.
Comment 6 Stefan Negrea 2012-08-14 12:23:19 EDT
Added the possibility to start discovery scans from a resource context. The code executes a service scan for children of the resource linked to the resource context.


master branch commits:

http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=06a05b1371c11563b639d4faf74f27254668cd21

http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=ef1a7865118a3a76f7ee0ea1e119ba03f28c34ca
Comment 7 Heiko W. Rupp 2013-09-01 05:59:55 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.